=== src/perl/CMakeLists.txt ===
install(FILES mcmc_analysis DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

configure_file(mcmc_analysis.1.cmake ${tmp_man_pages_dir}/mcmc_analysis.1 @ONLY)
