=== src/cxx/applications/mapdp/CMakeLists.txt ===
include(${CMAKE_SOURCE_DIR}/src/cxx/cmake-include.txt)

# mapdp/seq_ML_two_ways.cc:174: error: no matching function for call to 'beep::TreeIO::readBeepTree(bool&, bool, bool, bool&, int, int)'



add_executable(${programname_of_this_subdir}
seq_ML_two_ways.cc
${CMAKE_CURRENT_BINARY_DIR}/cmdline.c   ${CMAKE_CURRENT_BINARY_DIR}/cmdline.h 
)

target_link_libraries(${programname_of_this_subdir} prime-phylo)

install(TARGETS ${programname_of_this_subdir} DESTINATION bin)
