=== src/cxx/applications/primeDLRS-esjolund/CMakeLists.txt ===
include(${CMAKE_SOURCE_DIR}/src/cxx/cmake-include.txt)


include_directories( ${MPI_INCLUDE_PATH} )
include_directories( ${MPI_INCLUDE_PATH}/openmpi/ompi/mpi/cxx )

add_executable(${programname_of_this_subdir}
primeDLRS-esjolund.cc
#test_EdgeDiscBDProbs.cc
${CMAKE_CURRENT_BINARY_DIR}/cmdline.c   ${CMAKE_CURRENT_BINARY_DIR}/cmdline.h
)

set_target_properties(prime-phylo PROPERTIES LINK_FLAGS "${MPI_LINK_FLAGS}" )
set_source_files_properties(MpiMCMC.cxx PROPERTIES COMPILE_FLAGS "${MPI_COMPILE_FLAGS}")

target_link_libraries(${programname_of_this_subdir} prime-phylo prime-phylo-sfile ${Boost_LIBRARIES} )

install(TARGETS ${programname_of_this_subdir} DESTINATION bin)
