=== src/cxx/applications/primeDUP/CMakeLists.txt ===
include(${CMAKE_SOURCE_DIR}/src/cxx/cmake-include.txt)

add_executable(${programname_of_this_subdir}
primeDUP.cc 
${CMAKE_CURRENT_BINARY_DIR}/cmdline.c   
${CMAKE_CURRENT_BINARY_DIR}/cmdline.h
)

target_link_libraries(${programname_of_this_subdir} prime-phylo prime-phylo-sfile )

install(TARGETS ${programname_of_this_subdir} DESTINATION bin)
