=== src/cxx/applications/primeGEM/CMakeLists.txt ===
include(${CMAKE_SOURCE_DIR}/src/cxx/cmake-include.txt)


# ifeq ($(shell uname),Darwin)
#	MY_LDFLAGS =	-framework accelerate -bind_at_load 

add_executable(${programname_of_this_subdir}
troyo.cc
${CMAKE_CURRENT_BINARY_DIR}/cmdline.c   ${CMAKE_CURRENT_BINARY_DIR}/cmdline.h 
)

configure_file(primeGEM.1.cmake ${tmp_man_pages_dir}/primeGEM.1 @ONLY)

target_link_libraries(${programname_of_this_subdir} prime-phylo)

install(TARGETS ${programname_of_this_subdir} DESTINATION bin)




# troyo_gengetopt.cc is a fork of troyo.cc
# troyo_gengetopt.cc is meant to use gengetopt instead of the function readOptions()


if(NOT official_binary_packaging) 
add_executable(primeGEM_gengetopt
troyo_gengetopt.cc
${CMAKE_CURRENT_BINARY_DIR}/cmdline.c   ${CMAKE_CURRENT_BINARY_DIR}/cmdline.h 
)
target_link_libraries(primeGEM_gengetopt prime-phylo )
install(TARGETS primeGEM_gengetopt DESTINATION bin)
endif()
