=== debian/changelog ===
prime-phylo (1.0.11-4build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:39:12 +0000

prime-phylo (1.0.11-4build1) zesty; urgency=medium

  * No-change rebuild against libopenmpi2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 01:51:12 +0000

prime-phylo (1.0.11-4) unstable; urgency=medium

  * Team upload.
  * fix FTBFS with Boost 1.60 (Closes: #833334)
    Thanks to Graham Inggs for the patch.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 03 Aug 2016 11:20:36 +0000

prime-phylo (1.0.11-3) unstable; urgency=medium

  * Team upload.
  * Fix building with GCC 6 (Closes: #812031)
  * Enable full hardening.
  * Bump Standards-Version.
  * Use secure Vcs-Git.
  * Remove now unused Lintian override.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 25 Jul 2016 21:13:35 +0000

prime-phylo (1.0.11-2) unstable; urgency=medium

  * Add missing Vcs fields.
  * cme fix dpkg-control
  * Move debian/upstream to debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2014 09:45:42 +0200

prime-phylo (1.0.11-1) unstable; urgency=low

  * Initial release (Closes: #684039)

 -- Erik Sjolund <erik.sjolund@gmail.com>  Mon, 17 Dec 2012 14:11:13 +0100
