=== debian/control ===
Source: prime-phylo
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Erik Sjolund <erik.sjolund@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               gengetopt,
               cmake,
               libblas-dev,
               liblapack-dev,
               gfortran,
               bison,
               flex,
               libopenmpi-dev,
               libxml2-dev,
               libboost-dev,
               libboost-mpi-dev,
               libboost-serialization-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/prime-phylo.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/prime-phylo.git
Homepage: http://prime.sbc.su.se

Package: prime-phylo
Architecture: any
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: njplot,
          treeviewx,
          muscle,
          probalign,
          mafft,
          python-biopython,
          mrbayes,
          phyml,
          raxml
Description: bayesian estimation of gene trees taking the species tree into account
 PrIME (Probabilistic Integrated Models of Evolution) is a package
 supporting inference of evolutionary parameters in a Bayesian framework
 using Markov chain Monte Carlo simulation. A distinguishing feature of
 PrIME is that the species tree is taken into account when analyzing gene
 trees.
 .
 The input data to PrIME is a multiple sequence alignment in FASTA format
 and the output data contains trees in Newick format.
