=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#DPKG_EXPORT_BUILDFLAGS = 1
#include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-Dofficial_binary_packaging=on \
	-Dprime_dynamic=on \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_INSTALL_RPATH=/usr/lib/prime-phylo \
	-DCMAKE_BUILD_TYPE=RELEASE

#override_dh_shlibdeps:
#	dh_shlibdeps -l/usr/lib/prime-phylo

override_dh_makeshlibs:
	dh_makeshlibs -pprime-phylo -Xprime-phylo.so -Xprime-phylo-sfile.so
