=== debian/watch ===
version=3

http://prime.sbc.su.se/download/prime-phylo-(.*)\.tar\.gz
